Subject: bug#43866: 26.3; italian postfix additions

From: Mattias Engdegård <[email-masked]>
Date: Fri, 9 Oct 2020 13:26:12 +0200

9 okt. 2020 kl. 06.42 skrev Lars Ingebrigtsen <[email-masked]>:

> I'm not sure I agree.  An input method specialised to a specific
> language doesn't have to be a superset of the larger group -- a
> less-specific input method may be intended for users that have less
> experience with the language, and therefore be "sloppier"; i.e., have
> more input methods so that the user will find the character easier (but
> have more false positives that then will have to be fixed manually).

The choice of input method is not about proficiency in the language but rather that a more constrained method is more efficient for monolingual use. The many input sequences of 'latin-postfix' are not there to help the learner stumble upon the right one by luck, but to allow the entry of more characters.

However, Francesco is right in that latin-postfix is too heavily loaded for smooth use, and I certainly understand why he prefers italian-postfix. 'latin-alt-postfix' is somewhat more practical (and uses e=).

> So I think Francesco is right here -- just add E=, and do nothing else
> here (for the Euro).

I wouldn't mind, although we may be straying a bit into tailoring parts of Emacs to a single user.